%define upstream_name    Dist-Zilla-Plugin-CheckPrereqsIndexed
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Prevent a release if you have prereqs not found on CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(experimental)
BuildRequires: perl(feature)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jan 16 2023 tv <tv> 0.22.0-1.mga9
+ Revision: 1933732
- update to 0.022

* Mon Mar 21 2022 umeabot <umeabot> 0.21.0-2.mga9
+ Revision: 1814626
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.21.0-1.mga9
+ Revision: 1731818
- update to 0.021

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-4.mga8
+ Revision: 1503972
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-3.mga7
+ Revision: 1282999
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.0-2.mga7
+ Revision: 1164169
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.20.0-1.mga7
+ Revision: 1157503
- update to 0.020

* Sun Jun 19 2016 pterjan <pterjan> 0.18.0-2.mga6
+ Revision: 1026176
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.18.0-1.mga6
+ Revision: 1007548
- New version 0.018

* Sun Jan 17 2016 shlomif <shlomif> 0.17.0-1.mga6
+ Revision: 925100
- update to 0.017

* Sun Jul 05 2015 sander85 <sander85> 0.16.0-1.mga6
+ Revision: 851007
- update to 0.016

* Thu Dec 11 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 802697
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 739306
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue May 06 2014 jquelin <jquelin> 0.12.0-1.mga5
+ Revision: 620591
- update to 0.012

* Sat Feb 08 2014 sander85 <sander85> 0.10.0-1.mga5
+ Revision: 586668
- update to 0.010

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 526922
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.9.0-1.mga4
+ Revision: 439090
- update to 0.009

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 366108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 jquelin <jquelin> 0.7.0-1.mga2
+ Revision: 168725
- update to 0.007

* Sat Nov 05 2011 kharec <kharec> 0.6.0-1.mga2
+ Revision: 163735
- update to 0.006

* Mon Sep 26 2011 jquelin <jquelin> 0.5.0-1.mga2
+ Revision: 148545
- update to 0.005
- update to 0.004

* Wed Jun 15 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 106834
- update to 0.003

* Mon Feb 28 2011 jquelin <jquelin> 0.2.0-1.mga1
+ Revision: 61637
- imported package perl-Dist-Zilla-Plugin-CheckPrereqsIndexed

